package main

import "github.com/nsf/termbox-go"

type style struct {
	defaultBg termbox.Attribute
	defaultFg termbox.Attribute
	titleBg   termbox.Attribute
	titleFg   termbox.Attribute
	cursorBg  termbox.Attribute
	cursorFg  termbox.Attribute
}

func defaultStyle() style {
	var style style
	style.defaultBg = termbox.ColorBlack
	style.defaultFg = termbox.ColorWhite
	style.titleBg = style.defaultBg
	style.titleFg = style.defaultFg | termbox.AttrBold
	style.cursorBg = termbox.ColorWhite
	style.cursorFg = termbox.ColorBlack
	return style
}
